<?php

namespace App\Controller;

use App\Service\Search;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Routing\Annotation\Route;

class SearchController extends AbstractController
{
    /**
     * @Route("/recherche", name="search_recherche")
     */
    public function searchAction(Request $request, Search $filmSearch)
    {
        if ($this->getUser()->getProfile()->getView() === 0) {
            $type = "tableaux";
        } else {
            $type = "vignettes";
        }
        $query = $request->query->get('q', "");
        return $this->render('videotheque/liste_'.$type.'.html.twig', array(
            'listeFilms'    =>  $filmSearch->search($query),
            'titre'         =>  'Recherche '. $query,
            'query'         =>  $query
        ));
    }
}
